This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 929082 - (CVE-2013-1845) CVE-2013-1845 Subversion (mod_dav_svn): DoS (excessive memory use) when large number of properties are set or deleted
CVE-2013-1845 Subversion (mod_dav_svn): DoS (excessive memory use) when large...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130404,reported=2...
: Security
Depends On: 947369 947370 947372 947374 948813
Blocks: 929099
  Show dependency treegraph
 
Reported: 2013-03-29 04:29 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:30 EST (History)
5 users (show)

See Also:
Fixed In Version: Subversion 1.6.21, Subversion 1.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch-against-1.6.20 (6.34 KB, patch)
2013-03-29 04:33 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch-against-1.7.8 (4.62 KB, patch)
2013-03-29 04:33 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-29 04:29:55 EDT
It was found that Subversion's mod_dav_svn Apache HTTPD server module will use excessive amounts of memory when a large number of properties are set or deleted on a node. This can lead to a DoS. 

Setting or deleting a large number of properties on a node (file or directory)  will result in a large amount of memory use.  Due to the  memory pooling behavior of Apache httpd and Subversion the completion of the request will not result in the immediate release of memory used. Repeated commits with the same properties will result in each httpd process plateauing out at some amount of memory.  This could result in a Denial of Service if the system is exhausted of all available memory.

Acknowledgements:

Red Hat would like to thank the Apache Subversion project for reporting this issue. Upstream acknowledges Alexander Klink as the original reporter of this flaw.
Comment 2 Huzaifa S. Sidhpurwala 2013-03-29 04:33:35 EDT
Created attachment 717966 [details]
patch-against-1.6.20
Comment 3 Huzaifa S. Sidhpurwala 2013-03-29 04:33:58 EDT
Created attachment 717967 [details]
patch-against-1.7.8
Comment 5 Huzaifa S. Sidhpurwala 2013-04-04 05:09:36 EDT
This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the version of subversion as shipped with Fedora 17 and Fedora 18.
Comment 6 Jan Lieskovsky 2013-04-05 08:26:17 EDT
External References:

http://subversion.apache.org/security/CVE-2013-1845-advisory.txt
Comment 8 Jan Lieskovsky 2013-04-05 08:58:36 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 948813]
Comment 9 errata-xmlrpc 2013-04-11 13:49:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0737 https://rhn.redhat.com/errata/RHSA-2013-0737.html

Note You need to log in before you can comment on or make changes to this bug.